Die BPC Version 4.1 wird nicht mehr gewartet.

Sollten Sie diese BPC Version nutzen, empfehlen wir Ihnen eine Migration auf eine aktuelle Version. Die Dokumentation zur neusten BPC Version finden Sie hier. Sollten Sie Fragen haben, wenden Sie sich bitte an unseren Support.

Forms API

Forms is a standalone BPC module. The Forms API can only be used with this module. In most cases, a logged-in user or an API key is required to access the Forms API. The latter is recommended. Please also note the required role or permission in each case. The Forms API can only be used to access the Forms Repository.

Forms API

Method Endpoint

GET

/cxf/bpc-forms/forms

Description

Get all forms listed in the forms repository. Only the latest version of each form is returned.

Returns

List of all forms in the forms repository as JSON. Each object contains the form configuration in the config entry and other metadata.

HTTP Status Code

  • 200: OK

  • 401: Unauthorized

Content-Type

  • application/json

Required Access Rights

The logged-in user or API key must have either the following role or permission.

  • Role: FORMS_ADMIN

  • Right: FORMS_READ_ALL

/cxf/bpc-forms/forms/{formId}

Description

Add a new form to the forms repository with the specified ID. If a form with the specified ID already exists, the form is updated. Example:

{
    "name": "Name of Form",
    "config": {
        "metaData": {
            "id": "form_id",
            "version": 1
        },
        "configuration": {},
        "components": [
            {
                "type": "textfield",
                "label": "Textfeld"
            }
        ]
    }
}

Path Parameter

formId

ID of the new form.

Returns

Created form as JSON. The object contains the form configuration in the config entry and other metadata.

HTTP Status Code

  • 200 : OK

  • 400 : Form validation failed or the structure of the provided form is incorrect

  • 401 : Unauthorized

Content-Type

  • application/json

Required Access Rights

The logged-in user or API key must have either the following role or permission.

  • Role: FORMS_ADMIN

  • Right: FORMS_ADD

PUT

/cxf/bpc-forms/forms/{formId}/{version}

Description

Update a form in the forms repository. The version is automatically incremented. If no form with the specified ID exists, the form is created with version 1. Example:

{
    "name": "Name of Form",
    "config": {
        "metaData": {
            "id": "form_id",
            "version": 2
        },
        "configuration": {},
        "components": [
            {
                "type": "textfield",
                "label": "Textfeld"
            }
        ]
    }
}

Path Parameter

formId

ID of the form. The old and new forms have the same ID.

version

Version of the new form.

Returns

Created form as JSON. The object contains the form configuration in the config entry and other metadata.

HTTP Status Code

  • 200: OK

  • 400: Form validation failed or the structure of the provided form is incorrect

  • 401: Unauthorized

Content-Type

  • application/json

Required Access Rights

The logged-in user or API key must have either the following role or permission.

  • Role: FORMS_ADMIN

  • Right: FORMS_UPDATE

GET

/cxf/bpc-forms/forms/{formId}

Description

Retrieve a specific form using the latest version of the forms repository.

Path Parameter

formId

ID of the form.

Returns

The specified form as JSON. The object contains the form configuration in the config entry and other metadata.

HTTP Status Code

  • 200: OK

  • 401: Unauthorized

Content-Type

  • application/json

Required Access Rights

A logged-in user or API key is required.

GET

/cxf/bpc-forms/forms/{formId}/{version}

Description

Retrieve a specific form with a specific version from the forms repository. If the version does not exist, the latest version is returned.

Path Parameter

formId

ID of the form.

version

Version of the form.

Returns

Specified form as JSON. The object contains the form configuration in the config entry and other metadata.

HTTP Status Code

  • 200 : OK

  • 401 : Unauthorized

Content-Type

  • application/json

Required Access Rights

A logged-in user or API key is required.

GET

/cxf/bpc-forms/history/{formId}

Description

Get all versions of a form in the forms repository.

Path Parameter

formId

ID of the form.

Returns

List of all form versions with the specified ID in the forms repository as JSON. Each object contains the form configuration in the config entry and other metadata.

HTTP Status Code

  • 200: OK

  • 401: Unauthorized

Content-Type

  • application/json

Required Access Rights

The logged-in user or API key must have either the following role or permission.

  • Role: FORMS_ADMIN

  • Right: FORMS_READ_HISTORY

GET

/cxf/bpc-forms/config/{formId}

Description

Retrieve the configuration of a specific form using the latest version of the forms repository.

Path Parameter

formId

ID of the form.

Returns

Configuration of the specified form as JSON.

HTTP Status Code

  • 200: OK

  • 401: Unauthorized

Content-Type

  • application/json

Required Access Rights

A logged-in user or API key is required.

GET

/cxf/bpc-forms/config/{formId}/{version}

Description

Get the configuration of a specific form with the specified version of the forms repository. If the version does not exist, the configuration of the latest version is returned.

Path Parameter

formId

ID of the form.

version

Version of the form.

Returns

Configuration of the specified form as JSON.

HTTP Status Code

  • 200 : OK

  • 401 : Unauthorized

Content-Type

  • application/json

Required Access Rights

A logged-in user or API key is required.


Keywords: